/*
 * Copyright (c) 2015 N. Billard.
 */
package com.massa.mrules.demos.spring.xml;

import java.io.IOException;

import org.junit.Test;
import org.springframework.context.support.ClassPathXmlApplicationContext;

import com.massa.mrules.exception.MConfigurationException;
import com.massa.mrules.exception.MExecutionException;
import com.massa.mrules.set.IMruleExecutionSet;

public class SpringXmlTest {
	public SpringXmlTest() {
	}

	@Test
	public void springXmlDemo() throws MConfigurationException, MExecutionException, IOException {
		final ClassPathXmlApplicationContext context = new ClassPathXmlApplicationContext("spring-context.xml");
		final IMruleExecutionSet ruleset = (IMruleExecutionSet) context.getBean("ruleEngine");
		ruleset.getContextFactory().getExecutionContext().execute();
		context.close();
	}
}
